<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author"
          content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.88.1">
    <title>Fixed top navbar example · Bootstrap v5.1</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
          rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
          crossorigin="anonymous">

    <link rel="canonical"
          href="https://getbootstrap.com/docs/5.1/examples/navbar-fixed/">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>
</head>
<body>

<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'index' %}">Home</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarCollapse" aria-controls="navbarCollapse"
                aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav me-auto mb-2 mb-md-0">
                <ul class="navbar-nav">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink0" role="button"
                       data-bs-toggle="dropdown"  aria-expanded="false">Students</a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <li><a class="dropdown-item" href="{% url 'students:list' %}">All students table</a>
                    <a class="dropdown-item" href="{% url 'students:create' %}">Create student</a>
            </ul>
        <li>
                <ul class="navbar-nav">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                       data-bs-toggle="dropdown"  aria-expanded="false">Teachers</a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <li><a class="dropdown-item" href="{% url 'teachers:teachers-list' %}">All teachers</a>
                    <a class="dropdown-item" href="{% url 'teachers:create-teacher' %}">Create teacher</a>
                </ul>
                </li>
        <li>
                <ul class="navbar-nav">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink2" role="button"
                       data-bs-toggle="dropdown"  aria-expanded="false"> Courses</a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <li><a class="dropdown-item" href="{% url 'courses:courses-list' %}">All courses</a>
                    <div class="dropdown-divider"></div>

                    {% for course in courses_list %}
                    <a class="dropdown-item" href="{% url 'courses:courses-list' %}">{{ course.name }}</a>
                    {% endfor %}
                    </ul>
                </li>
                </li>
                <li>

                {% if user.is_authenticated %}
         <li class="nav-item">
         <a class="nav-link" href="{% url 'students:logout' %}"> Logout</a>
         </li>
                {% else %}


         <li class="nav-item">
                <a class="nav-link" href="{% url 'students:registration' %}"> Registration</a>
         </li>
         <li class="nav-item">
                <a class="nav-link" href="{% url 'students:login' %}"> Login</a>
         </li>
         <li class="nav-item">
                <a class="nav-link" href="{% url 'social:begin' 'facebook' %}"> Facebook login</a>
         </li>
         <li class="nav-item">
                <a class="nav-link" href="{% url 'social:begin' 'github' %}"> GitHub login</a>
         </li>
                {% endif %}
         <form class="d-flex" method="get" action="{% url 'students:search-students' %}">
                <input class="form-control me-2" type="text" name="search"
                       placeholder="Search for students..." aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search
                </button>
         </ul>
         </form>
         </li>
         </ul>
         </div>
         </nav>

<main class="container">
    <div class="bg-light p-5 rounded">
        {% block content %}
        <p></p>
        <h2>Server for working with students, teachers and their groups</h2>
        <p class="lead">Here you can create, update, delete and view all needed information</p>
        <p><img src="https://image.mel.fm/i/I/IoT9VfRJLP/590.png"</p>
        {% endblock %}
    </div>
</main>


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

</body>
</html>